(function() {
    function doHash(el, token) {
        el.href = 'https://megaurl.in/full/?api='
            + token
            + '&url='+btoa(el.href)+'=&type=1';
        console.log(el.href);
    }

    var token = megaurl.token || '';
    var domains = megaurl.domains.split('\n') || [];
    domains.push('megaurl.in');
    domains.push('www.megaurl.in');
    domains.push(location.hostname);
    var patterns = megaurl.patterns.split('\n') || [];
    var aTags = document.querySelectorAll('a');
    aTags.forEach(function(el) {
        if (domains.indexOf(el.hostname) === -1) {
            doHash(el, token);
            return;
        }
        patterns.forEach(function(pattern) {
            try {
                var regex = new RegExp(pattern);
                if(regex.test(el.href)) doHash(el, token);
            } catch (e) {console.log(e)}
        });
    });
})();