var app = angular.module('MegaURL', []);

app.controller('Home', function($scope, $http) {
    $scope.megaurl = {
        tokencode: '',
        domains: [],
        patterns: []
    };

    $http.get('/library/MegaURL/API.php?action=get')
        .then(function(res) {
            $scope.megaurl = res.data;
        })
        .catch(console.error);

    $scope.update = function() {
        $http.post('/library/MegaURL/API.php?action=update', $scope.megaurl)
            .then(console.log).catch(console.error);
    }
});